<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Altura e Largura</title>
    <style>
        html{
            height: 100%;
        }
        body {
            font-size: 40px;
            background-color: coral;
            height: 100%;
            margin: 0;
        }

        div {
            background-color: seagreen;
        }

        span {
            background-color: dodgerblue;
        }

        span, div{
            width: 50%;
            height: 250px;
            height: 50%;
            display: inline-block;
        }
    </style>
</head>

<body>
    <div>Título</div><!--  
    Isso resolve o problema de pular a linha mesmo feixando 50% 
    deixando os dois elemento um ao lado do outro, pois tira um 
    espaço em branco entre a div e o span 
--><span>Subtítulo</span>
</body>

</html>